\documentclass[border=3mm]{standalone}
\usepackage[siunitx]{circuitikz}
\usetikzlibrary{calc}
\begin{document}
\begin{tikzpicture}
  \draw (0,0) coordinate (Z) node [anchor=north west] {U}
  to[L,*-] coordinate (Y) node [anchor=north east] {W} node [anchor=south west] {Y} (0:2)
  to[L,*-] coordinate (X) node [anchor=south west] {V} node [anchor=south east] {X} ++(120:2)
  to[L,*-] node [anchor=south east] {Z} ++(240:2)
  ;

  % vertical line containing all out points
  \coordinate (out) at (3,5);
  \draw (X) [-Circle] -- (out |- X);
  \draw (Y) [-Circle] -- (out |- Y);
  \coordinate (Zout) at ($(Z)+(0,-1)$);
  \draw (Z) [-Circle] |- (out |- Zout);

  % numbers inside circles
  \node at (X) [circle,inner sep=1pt,draw,above=4mm] {1};
  \node at (Y) [circle,inner sep=1pt,draw,below=4mm,right] {2};
  \node at (Z) [circle,inner sep=1pt,draw,below=4mm,left=1mm] {3};
  
\end{tikzpicture}
\end{document}
